CREATE TABLE egp_workflow_acl_rule (
    WORKFLOW_ACL_RULE_ID      NUMBER(18, 0) ,
    WORKFLOW_ACL_ID           NUMBER(18, 0)     NOT NULL,
    RULE_ID                   NUMBER(18, 0)     NOT NULL,
    PERMISSION_SET_ID         NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    WORKFLOW_ACL_RULE_ID      NUMBER(18, 0) ,
    WORKFLOW_ACL_ID           NUMBER(18, 0)     NOT NULL,
    RULE_ID                   NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    PERMISSION_SET_ID         NUMBER(18, 0) ,
    CONSTRAINT pk_egp_workflow_acl_rule PRIMARY KEY (WORKFLOW_ACL_RULE_ID, WORKFLOW_ACL_RULE_ID)
);
